package gz.cyberbrain.cyberhotel.model.address.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;

import java.io.Serializable;

public class AddressTo implements Identifiable {
	
	private static final long serialVersionUID = -645103266410723674L;
	private Long addressId;
	private String country;
	private String province;
	private String locality;
	
	public AddressTo(){}
	
	public AddressTo(Long addressId, String country, String province, String locality) {
		this.addressId = addressId;
		this.country = country;
		this.province = province;
		this.locality = locality;
	}
	
	public Serializable getId(){
		return addressId;
	}

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	public String getLocality() {
		return locality;
	}

	public void setLocality(String locality) {
		this.locality = locality;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public Long getAddressId() {
		return addressId;
	}

	public void setAddressId(Long addressId) {
		this.addressId = addressId;
	}
	
	
	
}
