package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.address.to.AddressTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class AddressInUseException extends ModelException {
	
	private static final long serialVersionUID = 2478510251589697126L;
	private AddressTo address;
	
	public AddressInUseException (AddressTo address){
		
		super("Address " + address.getLocality() + "-" + address.getProvince() 
				+ "-" + address.getCountry() + " has got associated clients.");
		
		this.address = address;
		
	}
	
	public AddressTo getAddress() {
		return address;
	}
	
}
