package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.season.to.SeasonTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class SeasonInUseException extends ModelException {

	private static final long serialVersionUID = 1L;
	private SeasonTo season;
	
	public SeasonInUseException (SeasonTo season){
		
		super("Season " + season.getSeasonId() + " has got associated requests.");
		
		this.season = season;
		
	}
	
	public SeasonTo getSeason() {
		return season;
	}

	
}
