package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableAddressException extends ModelException {

	private static final long serialVersionUID = -6898846255794257963L;
	private Long addressId;
	
	public UnaceptableAddressException (Long addressId) {
		
		super("Address " + addressId + " is not in database.");
		this.addressId = addressId;
		
	}
	
	public Long getAddressId() {
		return addressId;
	}
	
}
