package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableRoomException extends ModelException {

	private static final long serialVersionUID = -1860969484323601527L;
	private String roomCode;

	public UnaceptableRoomException (String roomCode){

		super("Room " + roomCode + " is not in database.");

		this.roomCode = roomCode;

	}

	public String getRoomCode() {
		return roomCode;
	}

}
