package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.reservation.to.ReservationTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnregisteredReservationException extends ModelException {
	
	private static final long serialVersionUID = 8135590621763341372L;
	private ReservationTo reservationTo;
	
	public UnregisteredReservationException (ReservationTo reservationTo){
		
		super("Reservation " + reservationTo + " is not a check-in.");
		
		this.reservationTo = reservationTo;
		
	}
	
	public ReservationTo getReservation() {
		return reservationTo;
	}
	
}
