package gz.cyberbrain.cyberhotel.model.reservationfacade.spring.actions;

import gz.cyberbrain.cyberhotel.model.room.dao.RoomDao;
import gz.cyberbrain.cyberhotel.model.room.to.RoomTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

public class UnblockARoomAction {

	private RoomTo roomTo;
	private RoomDao roomDao;

	public UnblockARoomAction (RoomTo roomTo, RoomDao roomDao) {
		this.roomTo = roomTo;
		this.roomDao = roomDao;
	}

	public void execute() 
	throws InternalErrorException {

		if (roomTo.getOccupancyStatus().equals("Bloqueada")) {
			roomTo.setOccupancyStatus("Libre");

			roomDao.update(roomTo);		
		}

	}

}
