package gz.cyberbrain.cyberhotel.model.roomtype.dao;

import gz.cyberbrain.cyberhotel.model.roomtype.to.RoomTypeTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface RoomTypeDao {

	public RoomTypeTo create(RoomTypeTo roomTypeTo) throws InternalErrorException;

	public RoomTypeTo find(String roomTypeCode) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (RoomTypeTo roomTypeTo) 
		throws InternalErrorException;
	
	public void remove(RoomTypeTo roomTypeTo) 
		throws InternalErrorException;
	
	public Collection findAll() throws InternalErrorException;
	
	public boolean existRooms (String roomTypeCode) throws InternalErrorException;
	
}
