package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.util.HashMap;

public class CardUpdater extends SaveAdapter {

	public Serializable save(HashMap map) {
		try {

			if (inputTesting(map)) 
				CardController.updateCard((Long) map.get("id"), (String) map.get("name"), (String) map.get("logo"));

			
			
		} catch (InternalErrorException e) {
			e.printStackTrace();
		}

		return (Long) map.get("id");
		
	}

	protected boolean inputTesting(HashMap map) {

		if (((String) map.get("name")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("name"));			
			return false;

		}

		ErrorsHandler.clear();

		return true;

	}


}
