package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Calendar;
import java.util.HashMap;

public class EmployeeUpdater extends SaveAdapter {
	
	public Serializable save(HashMap map) {
		try {

			if (inputTesting(map))
				EmployeeController.updateEmployee((Long) map.get("id"), (String) map.get("nif"), (String) map.get("name"), (String) map.get("firstSurname"), 
						(String) map.get("secondSurname"), (Calendar) map.get("bornDate"), (String) map.get("sex"), (String) map.get("maritalStatus"), (Long) map.get("address"), 
						(String) map.get("street"), (String) map.get("dwellingPlace"), (String) map.get("phone1"), (String) map.get("phone2"), (String) map.get("job"), 
						(Calendar) map.get("hireDate"), (BigDecimal) map.get("salary"), (String) map.get("observations"));

		} catch (InternalErrorException e) {			
			e.printStackTrace();
		} 		
		return (Long) map.get("id");
	}

	protected boolean inputTesting(HashMap map) {

		if (((String) map.get("name")).trim().equals("")) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("name"));
			return false;
		}

		if (((String) map.get("firstSurname")).trim().equals("")) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("firstSurname"));
			return false;
		}

		if (((String) map.get("secondSurname")).trim().equals("")) {
			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("secondSurname"));
			return false;
		}

		ErrorsHandler.clear();

		return true;

	}

}
