package gz.cyberbrain.cyberhotel.controller;

import gz.cyberbrain.cyberhotel.controller.util.ErrorItem;
import gz.cyberbrain.cyberhotel.controller.util.ErrorsHandler;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.io.Serializable;
import java.util.HashMap;

public class PriceTypeUpdater extends SaveAdapter {

	public Serializable save(HashMap map) {

		try {

			if (inputTesting(map))
				PriceTypeController.updatePriceType((String) map.get("code"), (String) map.get("description"));
		} catch (InternalErrorException e) {
			e.printStackTrace();
		}
		return (String) map.get("code");
	}


	protected boolean inputTesting(HashMap map) {

		if (((String) map.get("code")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("code"));			
			return false;

		}

		if (((String) map.get("description")).trim().equals("")) {

			ErrorsHandler.clear();
			ErrorsHandler.add(new ErrorItem("description"));			
			return false;

		}

		ErrorsHandler.clear();

		return true;

	}


}
