package gz.cyberbrain.cyberhotel.model.card.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;

import java.io.Serializable;

public class CardTo implements Identifiable {

	private static final long serialVersionUID = -7510823648161435885L;
	private Long cardId;
	private String type;
	private String logo;
	
	public CardTo(){}
	
	public CardTo(Long cardId, String type, String logo) {		
		this.cardId = cardId;
		this.type = type;
		this.logo = logo;
	}
	
	public Serializable getId(){
		return cardId;
	}

	public String getLogo() {
		return logo;
	}

	public void setLogo(String logo) {
		this.logo = logo;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Long getCardId() {
		return cardId;
	}

	public void setCardId(Long cardId) {
		this.cardId = cardId;
	}

	
			
}
