package gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions;

public class UnaceptableSeasonException extends Exception {


	private static final long serialVersionUID = -5086273557658307656L;
	private Long seasonId;

	public UnaceptableSeasonException (Long seasonId){

		super("Season " + seasonId + " is not in database.");

		this.seasonId = seasonId;

	}

	public Long SeasonCode() {
		return seasonId;
	}

}
