package gz.cyberbrain.cyberhotel.model.configurationfacade.spring.actions;

import gz.cyberbrain.cyberhotel.model.card.dao.CardDao;
import gz.cyberbrain.cyberhotel.model.card.to.CardTo;
import gz.cyberbrain.cyberhotel.model.configurationfacade.exceptions.CardWithClientsException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

public class DeleteCardAction {

	private CardTo cardTo;
	private CardDao cardDao;

	public DeleteCardAction (CardTo cardTo, CardDao cardDao) {

		this.cardTo = cardTo;
		this.cardDao = cardDao;

	}

	public void execute() throws CardWithClientsException, InternalErrorException {

		if (cardDao.existClients(cardTo.getCardId())) throw new CardWithClientsException(cardTo);

		cardDao.remove(cardTo);

	}

}
