package gz.cyberbrain.cyberhotel.model.employee.dao;

import gz.cyberbrain.cyberhotel.model.employee.to.EmployeeTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InstanceNotFoundException;
import gz.cyberbrain.cyberhotel.model.util.exceptions.InternalErrorException;

import java.util.Collection;

public interface EmployeeDao {

	public EmployeeTo create(EmployeeTo employeeTo) throws InternalErrorException;

	public EmployeeTo find(Long employeeId) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void update (EmployeeTo employeeTo) 
		throws InstanceNotFoundException, InternalErrorException;
	
	public void remove(EmployeeTo employeeTo) throws InternalErrorException;
	
	public Collection findAll() throws InternalErrorException;
	
	public Collection employeeWashes(Long employeeId) throws InternalErrorException;
	
}
