package gz.cyberbrain.cyberhotel.model.price.to;

import gz.cyberbrain.cyberhotel.model.identifiable.Identifiable;
import gz.cyberbrain.cyberhotel.model.util.money.MoneyOperations;

import java.io.Serializable;
import java.math.BigDecimal;

public class PriceTo implements Identifiable {
	
	private static final long serialVersionUID = 956445424917024273L;
	private Long priceId;
	private BigDecimal value;
	//private PricePk pricePk;
	private String board;
	private String priceType;
	private Long season;
	
	public PriceTo(){}
		
	public Serializable getId(){
		return priceId;
	}

	public PriceTo(Long priceId, BigDecimal value, String board, String priceType, Long season) {
		super();
		this.priceId = priceId;
		this.value = MoneyOperations.getDecimalReduction(value);
		this.board = board;
		this.priceType = priceType;
		this.season = season;
	}

	public String getBoard() {
		return board;
	}

	public void setBoard(String board) {
		this.board = board;
	}

	public Long getPriceId() {
		return priceId;
	}

	public void setPriceId(Long priceId) {
		this.priceId = priceId;
	}

	public String getPriceType() {
		return priceType;
	}

	public void setPriceType(String priceType) {
		this.priceType = priceType;
	}

	public Long getSeason() {
		return season;
	}

	public void setSeason(Long season) {
		this.season = season;
	}

	public BigDecimal getValue() {
		return value;
	}

	public void setValue(BigDecimal value) {
		this.value = value;
	}
	
}
