package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.client.to.AgencyTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class AgencyWithReservationsException extends ModelException {

	private static final long serialVersionUID = 5379945210601887822L;
	private AgencyTo agency;
	
	public AgencyWithReservationsException (AgencyTo agency){
		
		super("Agency " + agency.getId() + " has got reservations.");
		
		this.agency = agency;
		
	}
	
	public AgencyTo getAgency() {
		return agency;
	}

}
