package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.reservation.to.ReservationTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class DifferentDayException extends ModelException {

	private static final long serialVersionUID = -8213587537086221348L;
	private ReservationTo reservationTo;
	
	public DifferentDayException (ReservationTo reservationTo){
		
		super("Days of reservation " + reservationTo.getReservationId() + " are different.");
		
		this.reservationTo = reservationTo;
		
	}
	
	public ReservationTo getReservation() {
		return reservationTo;
	}
	
}
