package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class InvalidDocumentTypeException extends ModelException {

	private static final long serialVersionUID = 5528602185598192804L;
	private String documentType;
	
	public InvalidDocumentTypeException (String documentType) {
		this.documentType = documentType;
	}
	
	public String getDocumentType() {
		return documentType;
	}
	
}
