package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class InvalidPayModeException extends ModelException {

	private static final long serialVersionUID = -8886081499670203286L;
	private String payMode;
	
	public InvalidPayModeException(String payMode) {
		
		super ("Pay mode '" + payMode + "' is not valid." );
		this.payMode = payMode;
		
	}
	
	public String getPayMode(){
		return payMode;
	}
	
}
