package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.reservation.to.ReservationTo;
import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class PendingReservationException extends ModelException {

	private static final long serialVersionUID = -7050485447471443040L;
	private ReservationTo reservationTo;

	public PendingReservationException (ReservationTo reservationTo){

		super("Reservation " + reservationTo.getReservationId() + " is pending.");

		this.reservationTo = reservationTo;

	}

	public ReservationTo getReservation() {
		return reservationTo;
	}

}
