package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class RoomNotBusyException extends ModelException {
	
	private static final long serialVersionUID = 901882891771803125L;
	private String roomCode;
	
	public RoomNotBusyException (String roomCode) {
		
		super ("Room " + roomCode + " doesnt have a check in.");
		
		this.roomCode = roomCode;
		
	}
	
	public String getRoomCode() {
		return roomCode;
	}
	
}
