package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptableParticularException extends ModelException {

	private static final long serialVersionUID = 4156000317164301048L;
	private Long particularId;
	
	public UnaceptableParticularException (Long particularId){
		
		super("Particular " + particularId + " is not in database.");
		
		this.particularId = particularId;
		
	}
	
	public Long getParticularId() {
		return particularId;
	}
	
}
