package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnaceptablePayerException extends ModelException {

	private static final long serialVersionUID = 910310718240512828L;
	private Long payerId;
	
	public UnaceptablePayerException (Long payerId){
		
		super("Payer " + payerId + " is not in database.");
		
		this.payerId = payerId;
		
	}
	
	public Long getPayerId() {
		return payerId;
	}
	
}
