package gz.cyberbrain.cyberhotel.model.reservationfacade.exceptions;

import gz.cyberbrain.cyberhotel.model.util.exceptions.ModelException;

public class UnavailableRoomException extends ModelException {

	private static final long serialVersionUID = -3771873311152762911L;
	private String roomCode;
	
	public UnavailableRoomException (String roomCode){
		
		super("Room " + roomCode + " is unavailable.");
		
		this.roomCode = roomCode;
		
	}
	
	public String getRoomCode() {
		return roomCode;
	}
	
}
