package gz.cyberbrain.cyberhotel.view.swing.util.gui;

import javax.swing.text.*;
import java.awt.*;

public class IntegerDocument extends PlainDocument {
	
	private static final long serialVersionUID = 1L;
	int maxVal=0;
	public IntegerDocument(int maxLength) {
		maxVal = maxLength;
	}
	public void insertString(int offset, String str, AttributeSet a) throws BadLocationException {

		if (getLength() + str.length() > maxVal)
			return;
		else {
			try {
				if(!Double.isNaN(Double.parseDouble(str))) {
					super.insertString(offset, str, a);
				}
			} catch(Exception e) {				
				Toolkit.getDefaultToolkit().beep();
			}
		}
	}
}
